Bug 16795 - Patron categories: Accept integers only for enrolment period and age limits
Summary: Patron categories: Accept integers only for enrolment period and age limits
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Keywords:
Depends on: 16286
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-22 05:50 UTC by Marc Véron
Modified: 2017-12-07 22:15 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16795 - Patron categories: Accept integers only for enrolment period and age limits (1.66 KB, patch)
2016-06-22 07:13 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16795 - Patron categories: Accept integers only for enrolment period and age limits (1.76 KB, patch)
2016-06-22 12:28 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16795 - Patron categories: Accept integers only for enrolment period and age limits (1.76 KB, patch)
2016-06-24 16:00 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2016-06-22 05:50:02 UTC
When creating / editing patron categories, it is possible to enter decimal values for enrolment period and age limits, but vaules are stored as integers (rounded up or down). 

For example it is possible to enter 0.1 for enrolment period, the value stored will be 0, and the table on page "Patron categories" will show a bare 'until' in column 'Enrolment period'.

The fields 'Enrolmentperiod', 'Age required' and  'Upperage limit' should accept integers only.
Comment 1 Marc Véron 2016-06-22 07:13:44 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2016-06-22 12:28:38 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2016-06-24 16:00:51 UTC
Created attachment 52826 [details] [review]
Bug 16795 - Patron categories: Accept integers only for enrolment period and age limits

To test:
- Apply patch
- Clear browser cache
- Go to Home > Administration > Patron categories
- Create or edit a category
- Verify that field 'In months', 'Age required' and 'Upperage limit'
  accept digits only

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Kyle M Hall 2016-07-08 13:16:02 UTC
Pushed to master for 16.11, thanks Marc!
Comment 5 Frédéric Demians 2016-08-01 13:29:50 UTC
Pushed in 16.05. Will be in 16.05.02.